echo off
CLS
::
echo.
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo.
echo  Checking Skype for proper settings...  (for Windows XP)
echo
echo  * USE THIS SCRIPT AT YOUR OWN RISK *
echo.
echo  This script needs Reg.exe
echo. 
echo  Author:  Michael Gough, Author of 'Skype ME!' by Syngress Press
echo.
echo  www.SkypeTips.com
echo.
echo  Created: June 2006 ver 1.0
echo.
echo  Revised: 
echo.
echo  This CMD file performs the following:
echo.
echo  * Check if Skype is installed and reports if it is
echo  * Reports the version of Skype
echo  * Checks to see if a Proxy is set
echo  * Checks the port Skype is using and reports it
echo  * If port 80 is enabled and reports it
echo  * If the wrong port is being used - Copy the corporate Shared.XML file with the correct settings
echo  * Checks and disables File Transfer and reports it
echo  * Checks and disables API and reports it
echo.
echo --------------------------------------------------------------------------------
echo.
echo  Computername = %computername%
echo.
::
:: To disable File Transfer or API, Set to YES or NO (Use CAPS)
::
Set Block_FT=YES
Set Block_API=YES
Set Update_XML=NO
::
:: Set Drive
SET Drv=C:
::
:: Set Program location
SET Program_Loc=Skype_Check
::
:: Set report location
SET Report_Loc=C:\Skype_Check
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::
echo Check to see if Skype is installed on this computer
::
:: Checks to see if shared.xml exists
::
IF NOT EXIST "%USERPROFILE%\Application Data\Skype\shared.xml" GOTO NO_SKYPE
::
md Skype_Users
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo Computer = %computername% >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo User = %username% >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
Reg query "hklm\software\microsoft\windows\currentversion\uninstall\skype_is1" /v DisplayName >>%Report_Loc%\Skype_Users\Skype_Users.txt
Reg query "hklm\software\microsoft\windows\currentversion\uninstall\skype_is1" /v DisplayVersion >>%Report_Loc%\Skype_Users\Skype_Users.txt
Reg query "hklm\software\microsoft\windows\currentversion\uninstall\skype_is1" /v URLUpdateInfo >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::
echo.
::
echo Check to see if a Proxy is set
::
::  Replace with your HTTPS or SOCKS proxy name and port below (web-proxy.com:8088)
::
cd %USERPROFILE%\Application Data\Skype
::
find "<Addr>web-proxy.com:8088</Addr>"<shared.xml /N >%Drv%\%Program_Loc%\temp.txt
find "<Addr>web-proxy.com:8088</Addr>"<shared.xml
echo.
if errorlevel 1 goto No_Proxy
if errorlevel 0 goto Proxy_Set
::
:No_Proxy
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo No proxy is set for this computer >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
goto BEGIN_PORT_CHECK
::
:Proxy_Set
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo There is a Proxy set for this computer >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo   The first one is the HTTPS Proxy. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo   The second one is the SOCKS Proxy. >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
type %Report_Loc%\temp.txt >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::
:BEGIN_PORT_CHECK
::
echo Check to see that the Skype Listening Port is set correctly
::
:: Change the port below to match what you are looking for (443)
::
find "<ListeningPort>443</ListeningPort>"<shared.xml /N >%Drv%\%Program_Loc%\temp.txt
::
find "<ListeningPort>443</ListeningPort>"<shared.xml
echo.
if errorlevel 1 goto Wrong_Port
if errorlevel 0 goto Listen_Port_Correct
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo.
::
:Listen_Port_Correct
::
echo Check to see that the Skype is using port 80
::
:: Check for Port 80 Disabled
::
find "<DisablePort80>1</DisablePort80>"<shared.xml /N >>%Drv%\%Program_Loc%\temp.txt
find "<DisablePort80>1</DisablePort80>"<shared.xml
echo.
if errorlevel 1 goto Wrong_Port
if errorlevel 0 goto Port_OK
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo.
::
:Port_OK
::
cd\%Program_Loc%
::
md Skype_Port_OK_Report
::
echo  Skype ports are configured correctly for %username% on %computername% >>%Report_Loc%\Skype_Port_OK_report\%computername%_%username%_Skype_Port_OK_report.txt
echo. >>%Report_Loc%\Skype_Port_OK_report\%computername%_%username%_Skype_Port_OK_report.txt
type temp.txt >>%Report_Loc%\Skype_Port_OK_report\%computername%_%username%_Skype_Port_OK_report.txt
echo -------------------------------------------------------------------------------- >>%Report_Loc%\Skype_Port_OK_report\%computername%_%username%_Skype_Port_OK_report.txt
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo The Ports Skype are using: >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
type temp.txt >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
GOTO Reg_Chk
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::
: Wrong_Port
::
:: Updating the 'shared.xml' file to company standards
::
IF "%Update_XML%"=="YES" GOTO Update_Shared_XML
::
GOTO Reg_Chk
::
:Update_Shared_XML
::
copy %Drv%\%Program_Loc%\corp_shared.xml shared.xml
::
cd\%Program_Loc%
::
md Skype_port_report
::
Date /T >>Skype_port_report\%computername%_%username%_skype_port_report.txt 
echo The Listening Port is incorrect and/or Port 80 is not disabled for %username% on %computername% >>Skype_port_report\%computername%_%username%_skype_port_report.txt
echo Shared.xml has been updated!!!! >>Skype_port_report\%computername%_%username%_skype_port_report.txt
echo ---------------------------------------------------------------------------------------- >>%Report_Loc%\Skype_port_report\%computername%_%username%_skype_port_report.txt
::
GOTO Reg_Chk
::
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
::
:NO_SKYPE
::
echo "Skype NOT used on %computername% for User = %username% >>No_Skype_report\%computername%_%username%_No_Skype.txt
::
::  Check if Skype is installed at all on the system.
::
IF NOT EXIST %ProgramFiles%\Skype\Phone\skype.exe GOTO Done
::
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo Computer = %computername% >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo Skype is installed on this computer, but not configured for this user >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo. >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
dir C:\shared.xml /s >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
::************************************************************************************************* 
::
:Reg_Chk
::
cd\%Program_Loc%
::
echo.
echo Checking the Skype registry entries for File Transfer.  Disables them as well.
::
sleep 3
::
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableFileTransfer >temp.log
::
find "0x1"<temp.log
if errorlevel 1 goto FT_Allowed
if errorlevel 0 goto FT_Disabled
::
:FT_Disabled
::
echo . >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo File Transfer is disabled on %computername% for User = %username% >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo . >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
GOTO Check_API
::
:FT_Allowed
::
md Skype_FT_Allowed_Report
::
echo File Transfer is NOT disabled on %computername% for User = %username% >>%Report_Loc%\Skype_FT_Allowed_report\%computername%_%username%_Skype_FT_Allowed.txt
::
IF "%Block_FT%"=="YES" GOTO Disable_FT
::
GOTO Check_API
::
:Disable_FT
::
echo Disabling File Transfer !!!
:: 
REG ADD HKLM\SOFTWARE\Policies\Skype\Phone /v DisableFileTransfer /t REG_DWORD /d 00000001
sleep 3
echo Added Key for disabling Skype File Transfer  >>%Report_Loc%\Skype_FT_Allowed_report\%computername%_%username%_Skype_FT_Allowed.txt
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableFileTransfer >>%Report_Loc%\Skype_FT_Allowed_report\%computername%_%username%_Skype_FT_Allowed.txt
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableFileTransfer >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
::-----------------------------------------------------------
::
:Check_API
::
echo.
echo Checking the Skype registry entries for API.  Disables them as well.
::
sleep 3
::
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableApi >temp.log
::
find "0x1"<temp.log
if errorlevel 1 goto API_Allowed
if errorlevel 0 goto API_Disabled
::
:API_Disabled
::
echo . >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo API is disabled on %computername% for User = %username% >>%Report_Loc%\Skype_Users\Skype_Users.txt
echo . >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
GOTO Done
::
:API_Allowed
::
md Skype_API_Allowed_report
::
echo API add-ons are NOT disabled on %computername% for User = %username% >>%Report_Loc%\Skype_API_Allowed_report\%computername%_%username%_Skype_API_Allowed.txt
echo 
::
IF "%Block_API%"=="YES" GOTO Disable_API
::
GOTO Done
::
:Disable_API
::
echo Disabling API !!!
::
REG ADD HKLM\SOFTWARE\Policies\Skype\Phone /v DisableApi /t REG_DWORD /d 00000001
sleep 3
echo Added Key for disabling Skype API Add-ons  >>%Report_Loc%\Skype_API_Allowed_report\%computername%_%username%_Skype_API_Allowed.txt
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableApi >>%Report_Loc%\Skype_API_Allowed_report\%computername%_%username%_Skype_API_Allowed.txt
reg query "HKLM\SOFTWARE\Policies\Skype\Phone" /v DisableApi >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
::************************************************************************************************
::
:Done
::
echo ********************************************************************************************* >>%Report_Loc%\Skype_Users\Skype_Users.txt
::
Sleep 2
Del temp.log
Del temp.txt
::
:: Finished

